﻿import flash.external.ExternalInterface;

private function creationCompleteHandler():void {
	if (flash.external.ExternalInterface.available) {
		flash.external.ExternalInterface.addCallback('doAlert', doAlert);
	}
	this.addEventListener(Event.ADDED_TO_STAGE, function(): void {
		fireEvent({type: 'swfReady'});
	});
}

private function doAlert(text:String): void {
	mx.controls.Alert.show(text);
}

private function fireEvent(event: Object): void {
	var params : Object = LoaderInfo(this.root.loaderInfo).parameters;
	var eventHandler: String = params.eventHandler;
	
	if (flash.external.ExternalInterface.available) {
		flash.external.ExternalInterface.call(params.eventHandler, params.elementID, event);
	}
}

private  function clickHandler(): void {
	fireEvent({
		type: 'alert',
		message: 'Message from Flash'
	});
}